Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes
tlp::GlConvexHull Class Reference

Class used to represent ConvexHull. More...

`#include <GlConvexHull.h>`

Inheritance diagram for tlp::GlConvexHull:
[legend]
Collaboration diagram for tlp::GlConvexHull:
[legend]

List of all members.

## Public Member Functions

- GlConvexHull ()
- GlConvexHull (const std::vector< Coord > &points, const std::vector< Color > &fillColors, const std::vector< Color > &outlineColors, const bool filled, const bool outlined, const std::string &name, bool computeHull=true)
- virtual ~GlConvexHull ()
- virtual void acceptVisitor (GlSceneVisitor *visitor)
- std::string getName ()
- virtual void draw (float lod, Camera *camera)
- virtual void translate (const Coord &mouvement)
- void getXML (xmlNodePtr rootNode)
- void setWithXML (xmlNodePtr rootNode)

## Static Public Member Functions

- static ConvexHullItem * buildConvexHullsFromHierarchy (Graph *graph, std::vector< Color > fColors, std::vector< Color > oColors, bool deduceFromChilds=true, Graph *root=NULL, unsigned int depth=0)

## Public Attributes

- tlp::Graph * _graph

## Protected Attributes

- std::vector< Coord > _points
- std::vector< Color > _fillColors
- std::vector< Color > _outlineColors
- bool _filled
- bool _outlined
- std::string _name

## Detailed Description

Class used to represent ConvexHull.

Class used to represent ConvexHull. GlHierarchyConvexHull class use this to create all convexHull of the graph

## Constructor & Destructor Documentation

tlp::GlConvexHull::GlConvexHull | ( |  | ) | `[inline]`

Default constructor

tlp::GlConvexHull::GlConvexHull | ( | const std::vector< Coord > & | points,
|  | const std::vector< Color > & | fillColors,
|  | const std::vector< Color > & | outlineColors,
|  | const bool | filled,
|  | const bool | outlined,
|  | const std::string & | name,
|  | bool | computeHull = `true`
| ) |  |

Build a Polygon with the convex hull of points

virtual tlp::GlConvexHull::~GlConvexHull | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::GlConvexHull::acceptVisitor | ( | GlSceneVisitor * | visitor | ) | `[inline, virtual]`

Function used to visit composite's children

Reimplemented from tlp::GlComposite.

static ConvexHullItem* tlp::GlConvexHull::buildConvexHullsFromHierarchy | ( | Graph * | graph,
|  | std::vector< Color > | fColors,
|  | std::vector< Color > | oColors,
|  | bool | deduceFromChilds = `true`,
|  | Graph * | root = `NULL`,
|  | unsigned int | depth = `0`
| ) |  | `[static]`

Static function who build a hierarchy of convexHull with the given graph

virtual void tlp::GlConvexHull::draw | ( | float | lod,
|  | Camera * | camera
| ) |  | `[virtual]`

Draw the convexHull

Reimplemented from tlp::GlComposite.

std::string tlp::GlConvexHull::getName | ( |  | ) | `[inline]`

Retrun the name of this convex hull

void tlp::GlConvexHull::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Get the data in XML form

Reimplemented from tlp::GlComposite.

void tlp::GlConvexHull::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Set the data with XML

Reimplemented from tlp::GlComposite.

virtual void tlp::GlConvexHull::translate | ( | const Coord & | mouvement | ) | `[virtual]`

Translate entity

Reimplemented from tlp::GlComposite.

## Member Data Documentation

std::vector<Color> tlp::GlConvexHull::_fillColors`[protected]`

bool tlp::GlConvexHull::_filled`[protected]`

tlp::Graph* tlp::GlConvexHull::_graph

std::string tlp::GlConvexHull::_name`[protected]`

std::vector<Color> tlp::GlConvexHull::_outlineColors`[protected]`

bool tlp::GlConvexHull::_outlined`[protected]`

std::vector<Coord> tlp::GlConvexHull::_points`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012